texinfo-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

texinfo/texi2html/test manage_test_archives.sh


From: Patrice Dumas
Subject: texinfo/texi2html/test manage_test_archives.sh
Date: Sun, 29 Jul 2012 09:27:05 +0000

CVSROOT:        /sources/texinfo
Module name:    texinfo
Changes by:     Patrice Dumas <pertusus>        12/07/29 09:27:05

Modified files:
        texi2html/test : manage_test_archives.sh 

Log message:
        Improvements.
        No longer a tarball for manuals.

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/texinfo/texi2html/test/manage_test_archives.sh?cvsroot=texinfo&r1=1.2&r2=1.3

Patches:
Index: manage_test_archives.sh
===================================================================
RCS file: /sources/texinfo/texinfo/texi2html/test/manage_test_archives.sh,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -b -r1.2 -r1.3
--- manage_test_archives.sh     28 Jul 2012 16:50:43 -0000      1.2
+++ manage_test_archives.sh     29 Jul 2012 09:27:05 -0000      1.3
@@ -1,11 +1,20 @@
 #! /bin/sh
 
+user=pertusus
+
 command=$1
 
 if [ "z$command" = 'z' ]; then
-  echo "Need something to do (pack/unpack/get)"
+  echo "Need something to do (pack/packt2h/unpack/get/clean/upload)"
   exit 1
 fi
+shift;
+
+if [ z"$1" != 'z' ]; then
+  user=$1
+fi
+
+download_dir="download-mirror.savannah.gnu.org/releases/texinfo"
 
 VERSION=`grep '^VERSION = ' ../../Makefile | sed 's/^VERSION = *//'`
 if [ z"$VERSION" = 'z' ]; then
@@ -15,27 +24,50 @@
 
 tp_tests_name=tp_tests_results-$VERSION
 texi2html_tests_name=t2h_tests_results
-manuals=t2h_tests_big_manuals
+#manuals=t2h_tests_big_manuals
 
-if [ $command = 'pack' ]; then
-  rm -f $texi2html_tests_name.tar.gz $tp_tests_name.tar.gz $manuals.tar.gz
+if [ $command = 'packt2h' ]; then
+  rm -f $texi2html_tests_name.tar.gz #$manuals.tar.gz
   (
   cd ..
   tar c --exclude-vcs -z -f test/$texi2html_tests_name.tar.gz test/*/res/ 
test/*/res_all/ test/*/res_info/ test/*/res_html/ test/*/res_docbook/ 
test/*/res_xml/ test/many_input_files/*_res/
-  tar c --exclude-vcs -z -f test/$manuals.tar.gz test/manuals/*.texi 
test/tar_manual/*.texi test/singular_manual/*.tex* 
test/singular_manual/d2t_singular/
+  #tar c --exclude-vcs -z -f test/$manuals.tar.gz test/manuals/*.texi 
test/tar_manual/*.texi test/singular_manual/*.tex* 
test/singular_manual/d2t_singular/
+  )
+elif [ $command = 'pack' ]; then
+  rm -f $tp_tests_name.tar.gz
+  (
+  cd ..
   tar c --exclude-vcs -z -f test/$tp_tests_name.tar.gz test/*/res_parser*/
   )
 elif [ $command = 'get' ]; then :
-  #wget  ??
+  wget -N -r -np -A '*.tar.gz*' http://$download_dir/ || exit 1
+  for file in $texi2html_tests_name $tp_tests_name; do
+    if [ -f  $download_dir/$file.tar.gz ]; then
+      cp -a $download_dir/$file.tar.gz .
+    fi
+  done
+elif [ $command = 'clean' ]; then
+  rm -rf download-mirror.savannah.gnu.org
+  rm -f $texi2html_tests_name.tar.gz $tp_tests_name.tar.gz
 elif [ $command = 'unpack' ]; then
   (
   cd ..
-  tar x -z -f test/$texi2html_tests_name.tar.gz
-  tar x -z -f test/$manuals.tar.gz
-  tar x -z -f test/$tp_tests_name.tar.gz
+  for file in $texi2html_tests_name $tp_tests_name; do
+    if [ -f test/$file.tar.gz ]; then
+      tar x -z -f test/$file.tar.gz
+    fi
+  done
+  #tar x -z -f test/$manuals.tar.gz
   )
+elif [ $command = 'upload' ]; then
+  mkdir -p upload
+  #cp -a $texi2html_tests_name.tar.gz upload
+  #gpg -b --use-agent upload/$texi2html_tests_name.tar.gz
+  cp -a $tp_tests_name.tar.gz upload
+  gpg -b --use-agent upload/$tp_tests_name.tar.gz
+  rsync -a --delete -essh upload/ address@hidden:/releases/texinfo/
 else
-  echo "Unknown command (pack/unpack/get)"
+  echo "Unknown command (pack/packt2h/unpack/get/clean/upload)"
   exit 1
 fi
 



reply via email to

[Prev in Thread] Current Thread [Next in Thread]